com.independentsoft.exchange

## Enum CategoryColor

- java.lang.Object
- - java.lang.Enum<CategoryColor>
  - - com.independentsoft.exchange.CategoryColor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CategoryColor>

      public enum CategoryColor
      extends java.lang.Enum<CategoryColor>

  The Enum CategoryColor.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLACK`
    `BLUE`
    `DARK_BLUE`
    `DARK_GRAY`
    `DARK_GREEN`
    `DARK_MAROON`
    `DARK_OLIVE`
    `DARK_ORANGE`
    `DARK_PEACH`
    `DARK_PURPLE`
    `DARK_RED`
    `DARK_STEEL`
    `DARK_TEAL`
    `DARK_YELLOW`
    `GRAY`
    `GREEN`
    `MAROON`
    `NONE`
    `OLIVE`
    `ORANGE`
    `PEACH`
    `PURPLE`
    `RED`
    `STEEL`
    `TEAL`
    `YELLOW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CategoryColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CategoryColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RED

          public static final CategoryColor RED

    - #### ORANGE

          public static final CategoryColor ORANGE

    - #### PEACH

          public static final CategoryColor PEACH

    - #### YELLOW

          public static final CategoryColor YELLOW

    - #### GREEN

          public static final CategoryColor GREEN

    - #### TEAL

          public static final CategoryColor TEAL

    - #### OLIVE

          public static final CategoryColor OLIVE

    - #### BLUE

          public static final CategoryColor BLUE

    - #### PURPLE

          public static final CategoryColor PURPLE

    - #### MAROON

          public static final CategoryColor MAROON

    - #### STEEL

          public static final CategoryColor STEEL

    - #### DARK_STEEL

          public static final CategoryColor DARK_STEEL

    - #### GRAY

          public static final CategoryColor GRAY

    - #### DARK_GRAY

          public static final CategoryColor DARK_GRAY

    - #### BLACK

          public static final CategoryColor BLACK

    - #### DARK_RED

          public static final CategoryColor DARK_RED

    - #### DARK_ORANGE

          public static final CategoryColor DARK_ORANGE

    - #### DARK_PEACH

          public static final CategoryColor DARK_PEACH

    - #### DARK_YELLOW

          public static final CategoryColor DARK_YELLOW

    - #### DARK_GREEN

          public static final CategoryColor DARK_GREEN

    - #### DARK_TEAL

          public static final CategoryColor DARK_TEAL

    - #### DARK_OLIVE

          public static final CategoryColor DARK_OLIVE

    - #### DARK_BLUE

          public static final CategoryColor DARK_BLUE

    - #### DARK_PURPLE

          public static final CategoryColor DARK_PURPLE

    - #### DARK_MAROON

          public static final CategoryColor DARK_MAROON

    - #### NONE

          public static final CategoryColor NONE

  - ### Method Detail

    - #### values

          public static CategoryColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CategoryColor c : CategoryColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CategoryColor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null